package ovh.herisson.casper;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import ovh.herisson.casper.Responses.HelloWorld;

@SpringBootApplication
@RestController
public class CasperApplication {

    public static void main(String[] args) {
        SpringApplication.run(CasperApplication.class, args);
    }

    @GetMapping("/test")
    @CrossOrigin(origins = "http://localhost:5175/")
    public HelloWorld hello(){
        return new HelloWorld();

    }

}
